/* Reset styles for consistent rendering across browsers */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

*, html {

    scroll-behavior: smooth !important;
}

/* Basic styling */
body, html {
    font-family: Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    height: 100%;
}

body {
    min-height: 1500px; /* Ensure page is long enough to scroll */
}

.container {
    width: 100%;
}

.backgroundColor {
    position:fixed;
    top:0; 
    z-index: 4; 
    width:100%;
    background-color:#fff; 
}

/* Navbar height */
.backgroundColor, #navbar a { height: 40px; } 

/* Navbar styling */
#navbar {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: transparent;
    display: flex;
    justify-content: center;
    z-index: 5;
    transition: background-color 0.3s ease;
}

#navbar.scrolled {
    /* background-color: rgba(0, 0, 0, 0.8); */
}

#navbar ul {
    display: flex;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style-type: none;
}

#navbar li {
    flex: 1;
}

#navbar a {
    text-decoration: none;
    color: #333;
    font-size: 16px;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}

#navbar a:hover {
    height: 80px;
    color: #010f10 !important;
    background-color: #fff;
    cursor: pointer;
    font-weight: bold;
    box-shadow: 0px 9px 5px -7px rgba(0, 0, 0, 0.65);
}

.navbar a.active {
    font-weight: bold;
    color: #fff !important;
    background-color: #00946a;
    transition: all 0.3s ease;
}

/* Hover background colors */
.link1:hover { background-color: #fff; }
.link2:hover { background-color: #fff; }
.link3:hover { background-color: #fff; }
.link4:hover { background-color: #fff; }
.link5:hover { background-color: #fff; }
.link6:hover { background-color: #fff; }

.menu-toggle {
    display: none;
    cursor: pointer;
    flex-direction: column;
    gap: 5px;
    margin-top:10px;
}

.menu-toggle span {
    width: 25px;
    height: 3px;
    background-color: #333;
    transition: all 0.3s ease;
}

/* Active menu toggle to form an X */
.menu-toggle.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -5px);
}

/* Section container */
.section {
    display: flex;
    min-height: 100vh;
}

#intro {
    background-image: url('../images/lrg-hankd-head.png');
    background-position: -200px 260px;
    background-repeat: no-repeat;
    background-size:600px;
    background-color:#00946a;
}

.bg-gradient {
    position: absolute;
    bottom:0;
    z-index: 0;
    width:100%;
    height:30%;

    background: rgb(1,15,16);
    background: linear-gradient(180deg, rgba(1,15,16,0) 0%, rgba(1,15,16,0.2945378835127801) 100%);
}

#intro .content {
    width:50%;
    margin:auto;
    padding:0;
}

#intro h1 { 
    font-size:45px;
    margin:0 0 40px 0; 
}

#intro, .left-side, .right-side {
    color: #fff;
    font-size: 16px;
    line-height: 32px;
    padding: 80px 50px 30px 50px;
}

.navbar, #intro, .left-side, .right-side {
    letter-spacing: 1.2px;
}

.left-side, .right-side { 
    width: 50%;
    justify-content: flex-start;
}

/* Left Side Content Styling */
.left-side {
    background-color: #00946a;
    text-align: right;
    -webkit-box-shadow: 5px 13px 8px 0px rgba(0,0,0,0.55);
    -moz-box-shadow: 5px 13px 8px 0px rgba(0,0,0,0.55);
    box-shadow: 5px 13px 8px 0px rgba(0,0,0,0.55);
    z-index: 2;
}

.left-side .heading {
    background-color: rgba(0, 148, 106, 0.6); /* 60% opacity */
    padding: 0;
    margin: 0 0 40px 0;
    position: sticky;
    top: 50px; /* Distance from the top */
}

.left-side .heading h2,
.left-side .heading h3 {
    text-transform: uppercase;
}

.left-side .heading h3 {
    font-style: italic;
    font-weight: 300;
}

.btmMargin {
    margin:0 0 40px 0;
}

.left-side ul {
    list-style: none;                /* Remove default bullet points */
    padding: 0;
    margin: 0 0 30px 0;
}

/* Style for each list item */
.left-side ul li {                   /* Set the height for each block */
    font-size:15px;
    line-height:17px;
    font-weight:normal !important;
    color: #fff;                     /* Text color */
    margin:0;
    padding:7px 0;
}

.yellow { color:#ffd700; }

h2 .icon {
    font-size:16px;
}

/* Basic hyperlink styling */
#intro a, .left-side a {
    color: #ffd700; /* Default link color */
    text-decoration: none; /* Remove underline by default */
    position: relative;
    transition: color 0.3s ease; /* Smooth transition for color */
}

/* Hover effect for link */
#intro a:hover, .left-side a:hover {
    color: #010f10; /* Darker color on hover */
}

/* Underline effect */
#intro a::after, .left-side a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px; /* Position the underline just below the text */
    width: 0;
    height: 2px; /* Thickness of the underline */
    background-color: #010f10; /* Underline color */
    transition: width 0.3s ease; /* Smooth transition for the underline */
}

/* Expand underline on hover */
#intro a:hover::after, .left-side a:hover::after {
    width: 100%; /* Extend underline to the full width */
}

.emailBG {
    position: absolute;
    width:50%;
    height:70%;
    background-image: url('../images/icon-email.png');
    background-repeat: no-repeat;
    background-position: 98% 124%;
    background-size:220px;
    opacity: 0.4;
    z-index: 2;
}


/* Right Side Background Styling */
.right-side {
    display: flex;
    flex-direction: column;
    /*background-color: #010f10;*/
}

/* Basic hyperlink styling */
.right-side a {
    color: #ff6347; /* Default link color */
    text-decoration: none; /* Remove underline by default */
    position: relative;
    transition: color 0.3s ease; /* Smooth transition for color */
}

/* Hover effect for link */
.right-side a:hover {
    color: #fff; /* Darker color on hover */
}

/* Underline effect */
.right-side a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px; /* Position the underline just below the text */
    width: 0;
    height: 2px; /* Thickness of the underline */
    background-color: #fff; /* Underline color */
    transition: width 0.3s ease; /* Smooth transition for the underline */
}

/* Container for the section */
.right-side .block-section {
    width: 100%;
    padding: 20px;
}

/* Grid layout for the list items */
.right-side ul {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(305px, 1fr));  /* Responsive columns */
    gap: 10px;                       /* Space between items */
    list-style: none;                /* Remove default bullet points */
    padding: 0;
    margin: 0;
}

/* Style for each list item */
.right-side ul li {
    /* display: flex;
    justify-content: center;
    align-items: center;*/
    /*height: 125px;*/
    padding:20px;                   /* Set the height for each block */
    background-color: rgba(0, 0, 0, 0.3);  /* Initial background color with opacity */
    font-size:16px;
    line-height:22px;
    font-weight:normal !important;
    color: #fff;                     /* Text color */
    font-weight: bold;
    text-align: center;
    cursor: help;
    transition: background-color 0.3s ease, transform 0.3s ease; /* Smooth transitions */
}

.right-side ul li .taller {
    height:215px;
}

/* Hover effect for each block */
.right-side ul li:hover {
    background-color: rgba(0, 0, 0, 0.6); /* Change background color with more opacity on hover */
    transform: scale(1.05);                  /* Slightly enlarge on hover */
}

.right-side ul li h3 {
    font-size:16px;
    margin:0 0 20px 0;
}

hr {
    border:0;
    background-color:#fff;
    height:1px;
    width:60%;
    margin:30px auto 30px auto;
    padding:0;
    text-align:center;
}

.indent {
    padding:30px 40px 0 40px;
    background-color: rgba(0, 0, 0, 0.6);
}

/* Portfolio Info Sections */
.targetDiv { 
    display: none; 
    position:relative;
    padding:35px 35px 55px 35px;
    margin:20px 0;
}

.targetDiv .main { 
    margin:0;
    padding:20px 0 0 0; 
}

.main { 
    grid-gap: 0px; 
    max-width:1680px;
}

a.webSiteLink { 
    display:block; 
    margin:2% 0 3% 0; 
    text-decoration: none; 
    color:#fff;
    display:block;
    padding:15px 15px;
    width:150px;
    text-align:center;
    text-decoration: none;
    cursor:pointer
}

.iFrame {
    width:100%;
    height:22vh;
    margin:0 0 123px 0;
}

iframe {
    width:100%;
    height:33vh;
}


/* Back to Top button styling */
.back-to-top {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 4;
    color: #fff;
    font-size: 14px;
    letter-spacing:1.2px;
    opacity: 0; /* Start hidden */
    transition: background-color 0.3s ease, transform 0.3s ease; /* Smooth transitions */
}

.back-to-top a {
    color: #fff;
    text-decoration: none;
    border-radius: 3px;
    padding: 10px 15px;
    margin:0 10px 0 0;
    background-color: #00946a;
    transition: opacity 0.3s ease; /* Smooth fade-in effect */
    transition: background-color 0.3s ease, transform 0.3s ease; /* Smooth transitions */
}

.back-to-top a:hover {
    background-color: #007a57;
    transition: opacity 0.3s ease; /* Smooth fade-in effect */
    transition: background-color 0.3s ease, transform 0.3s ease; /* Smooth transitions */
}


/** Grid **/
.no-padding { padding:0 !important; }
.no-margin { margin:0 !important; }

.styling {
    position: relative;
}

.image {
    object-fit: cover;
    object-position: 50% 0;
    width: 100%;
    height:25vh;
    /*height: 33vh;*/
    opacity: 0.8;
    display:block;
    transition: .5s ease;
}

.image:hover { opacity:100; }

.targetDiv {
    z-index: 6;
}

.infoOverlay {
    position: fixed;
    z-index: 5;
    background-color:black;
    opacity: 0.6;
    width:100%;
    height:100%;
    top:0;
    left:0;
}

.middle {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  /*background-color: #008CBA;*/
  overflow: hidden;
  width: 100%;
  height: 0;
  transition: .5s ease;
}

.styling:hover .middle {
  height: 100%;
}

.text {
  color: white;
  font-size:16px;
  position: absolute;
  width:100%;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}

.middle a { display:block; height:100%; } 

.webIMGBlock, .websiteIMGBlock, .emailIMGBlock, .logoIMGBlock, .teeIMGBlock, .threeDIMGBlock { background-color:rgb(0, 148, 106, 0.95); }

.blur-up {
        -webkit-filter: blur(5px);
        filter: blur(5px);
        transition: filter 400ms, -webkit-filter 400ms;
    }

.blur-up.lazyloaded {
    -webkit-filter: blur(0);
    filter: blur(0);
}

p {
    padding:0 0 30px 0;
}

ul {
    padding: 0 60px;
}

li {
    padding: 0 0 15px 0;
}

ul.PPinfo {
    padding:0;
    margin:0 0 40px 0;
} 

ul.PPinfo li {
    padding:0;
    margin:0;
    list-style-type: none;
}

.bold { font-weight:bold; }
.italic { font-style:italic; }
.underline { border-bottom: 1px dotted; }

/** Contact Form **/
.contact-form {
    width: 100%;
    max-width: 500px;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

.contact-form form {
    display: flex;
    flex-direction: column;
}

.form-row {
    display: flex;
    gap: 10px;
    margin-bottom: 15px;
}

.form-row input[type="text"],
.form-row input[type="email"] {
    width: 100%;
    padding: 20px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

textarea {
    padding: 20px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-bottom: 15px;
    resize: vertical;
    width:100%;
}

button, .closeBtn {
    padding: 12px 20px;
    font-size: 16px;
    font-weight:bold;
    color: #fff;
    background-color: #ff6347;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover, .closeBtn:hover {
    background-color: #fff;
    color:#010f10;
}

.closeBtn { 
    display:inline-block; 
    margin-top:20px;
}

/** underwater container **/
.underWater {
    position: fixed;
    top: 0;
    right: 0;
    width: 50%;
    height: 100vh;
    display: flex;
    justify-content: flex-start;  /* Align content to the left */
    z-index: -1;
    background-color:#02c694;
}

.gradient-fade {
    background-image: linear-gradient(to bottom, rgba(1, 15, 16, 0) 0%, #010f10 100%);
    background-size: cover;
}

.underWater-bg-color {
    background-color:#010f10;
}

.overlay {
    position: absolute;
    /*top:250px;*/
    right:0;
    width: 100%;
    height: 100vh;
    z-index: 4;
    background-image:url('../images/underwater/water-overlay.png');
    background-repeat: no-repeat;
    opacity: 0.9;
    background-size:cover;
}

/** Left side **/
.left {
    position: relative;  /* Required for absolute positioning of child elements */
    width: 50%;
    height: 100%;  /* Full height of the container */
}

/* Background layer (behind) */
.left-background {
    position: absolute;
    top: 0;
    left: 0;
    background-image: url('../images/underwater/left-background.png');
    background-size: 250px auto;
    background-position: 0 250px;
    background-repeat:no-repeat;
    /* background-color: #007d5b; */
    width: 250px;  /* Fixed width */
    height: 100%;  /* Full height of parent */
    z-index: 1;  /* Behind middle and foreground */
}

/* Middle ground layer (in the middle) */
.left-middle-ground {
    position: absolute;
    top: 0;
    left: 0;  /* Position next to the background */
    background-image: url('../images/underwater/left-middle-ground.png');
    background-size: 250px auto;
    background-position: 0 250px;
    background-repeat:no-repeat;
    /* background-color: #014b3a; */
    width: 250px;  /* Fixed width */
    height: 100%;  /* Full height of parent */
    z-index: 2;  /* Above background, behind foreground */
}

/* Foreground layer (on top) */
.left-foreground {
    position: absolute;
    top: 0;
    left: 0;  /* Position next to the middle ground */
    background-image: url('../images/underwater/left-foreground.png');
    background-size: 250px auto;
    background-position: 0 250px;
    background-repeat:no-repeat;
    /* background-color: #010f10; */
    width: 250px;  /* Fixed width */
    height: 100%;  /* Full height of parent */
    z-index: 3;  /* On top */
}

/** Right side **/
.right {
    position: relative;
    width: 50%;
    height: 100%;  /* Full height of the container */
    right: 0;  /* Move the right section to the right side */
}

/* Background layer (behind) */
.right-background {
    position: absolute;
    top: 0;
    right: 0;
    background-image: url('../images/underwater/right-background.png');
    background-size: 250px auto;
    background-position: 0 250px;
    background-repeat:no-repeat;
    /* background-color: #007d5b; */
    width: 250px;  /* Fixed width */
    height: 100%;  /* Full height of parent */
    z-index: 1;  /* Behind middle and foreground */
}

/* Middle ground layer (in the middle) */
.right-middle-ground {
    position: absolute;
    top: 0;
    right: 0px;  /* Position next to the background */
    background-image: url('../images/underwater/right-middle-ground.png');
    background-size: 250px auto;
    background-position: 0 250px;
    background-repeat:no-repeat;
    /* background-color: #014b3a; */
    width: 250px;  /* Fixed width */
    height: 100%;  /* Full height of parent */
    z-index: 2;  /* Above background, behind foreground */
}

/* Foreground layer (on top) */
.right-foreground {
    position: absolute;
    top: 0;
    right: 0;  /* Position next to the middle ground */
    background-image: url('../images/underwater/right-foreground.png');
    background-size: 250px auto;
    background-position: 0 250px;
    background-repeat:no-repeat;
    /* background-color: #010f10; */
    width: 250px;  /* Fixed width */
    height: 100%;  /* Full height of parent */
    z-index: 3;  /* On top */
}

/* The object that moves and tilts */
.moving-object {
    position: absolute;
    z-index: 0;
    bottom: 0;  /* Start below the screen */
    left: 50%;
    /*transform: translateX(-50%) rotate(0deg); Initially not tilted */
    animation: moveUp 35s linear infinite, tilt 5s linear infinite;
    /* animation:vibrate 2s linear infinite; */
    /* width: 50px;
    height: 50px;
    background-color: red; */
    width:144px;
    height:302px;

    background-image:url(../images/underwater/ship.png);
    background-size:cover;
}

/* Enhanced snake-like motion */
/*@keyframes moveUp {
    0% {
        right:-50%; top:250%;
    }
    25% {
        right:-40%; top:75%;
    }
    50% {
        right:-50%; top:50%
    }
    75% {
        right:-40%; top:25%;
    }
    100% {
        right:-50%; top:-10%;
    }
}*/

@keyframes moveUp {
    from {top: 100vh;}
    to {top: -100%;}
}

@keyframes tilt {
    0%, 100% {
        transform: translateX(-50%) rotate(0deg); /* No tilt at the start and end */
    }
    25% {
        transform: translateX(-50%) rotate(-10deg); /* Tilt left */
    }
    50% {
        transform: translateX(-50%) rotate(10deg); /* Tilt right */
    }
    75% {
        transform: translateX(-50%) rotate(-10deg); /* Tilt left again */
    }
}

@keyframes vibrate {
    0% {
        transform: translate(0);
    }

    10% {
        transform: translate(-2px, -2px);
    }

    20% {
        transform: translate(2px, -2px);
    }

    30% {
        transform: translate(-2px, 2px);
    }

    40% {
        transform: translate(2px, 2px);
    }

    50% {
        transform: translate(-2px, -2px);
    }

    60% {
        transform: translate(2px, -2px);
    }

    70% {
        transform: translate(-2px, 2px);
    }

    80% {
        transform: translate(-2px, -2px);
    }

    90% {
        transform: translate(2px, -2px);
    }

    100% {
        transform: translate(0);
    }
}


/* Bubble container */
#bubbles { 
    position: absolute;
    width:100%;
    height: 100vh; 
    z-index: 4;
}

#bubbles { padding: 100px 0; }

.bubble {
    width: 30px;
    height: 30px;
    background-color: rgba(0, 255, 255, 0.3);  /* Bright cyan color */
    border-radius: 200px;
    -moz-border-radius: 200px;
    -webkit-border-radius: 200px;
    position: relative;
}

.x1 {
    -webkit-transform: scale(0.9);
    -moz-transform: scale(0.9);
    transform: scale(0.9);
    opacity: 0.2;
    -webkit-animation: moveclouds 15s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -moz-animation: moveclouds 15s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -o-animation: moveclouds 15s linear infinite, sideWays 4s ease-in-out infinite alternate;
}

.x2 {
    left: 200px;
    -webkit-transform: scale(0.6);
    -moz-transform: scale(0.6);
    transform: scale(0.6);
    opacity: 0.5;
    -webkit-animation: moveclouds 25s linear infinite, sideWays 5s ease-in-out infinite alternate;
    -moz-animation: moveclouds 25s linear infinite, sideWays 5s ease-in-out infinite alternate;
    -o-animation: moveclouds 25s linear infinite, sideWays 5s ease-in-out infinite alternate;
}
.x3 {
    left: 350px;
    -webkit-transform: scale(0.8);
    -moz-transform: scale(0.8);
    transform: scale(0.8);
    opacity: 0.3;
    -webkit-animation: moveclouds 20s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -moz-animation: moveclouds 20s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -o-animation: moveclouds 20s linear infinite, sideWays 4s ease-in-out infinite alternate;
}
.x4 {
    left: 470px;
    -webkit-transform: scale(0.75);
    -moz-transform: scale(0.75);
    transform: scale(0.75);
    opacity: 0.35;
    -webkit-animation: moveclouds 18s linear infinite, sideWays 2s ease-in-out infinite alternate;
    -moz-animation: moveclouds 18s linear infinite, sideWays 2s ease-in-out infinite alternate;
    -o-animation: moveclouds 18s linear infinite, sideWays 2s ease-in-out infinite alternate;
}
.x5 {
    left: 150px;
    -webkit-transform: scale(0.8);
    -moz-transform: scale(0.8);
    transform: scale(0.8);
    opacity: 0.3; 
    -webkit-animation: moveclouds 7s linear infinite, sideWays 1s ease-in-out infinite alternate;
    -moz-animation: moveclouds 7s linear infinite, sideWays 1s ease-in-out infinite alternate;
    -o-animation: moveclouds 7s linear infinite, sideWays 1s ease-in-out infinite alternate;
}

.x6 {
    -webkit-transform: scale(0.9);
    -moz-transform: scale(0.9);
    transform: scale(0.9);
    opacity: 0.2;
    -webkit-animation: moveclouds 15s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -moz-animation: moveclouds 15s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -o-animation: moveclouds 15s linear infinite, sideWays 4s ease-in-out infinite alternate;
}

.x7 {
    left: 100px;
    -webkit-transform: scale(0.6);
    -moz-transform: scale(0.6);
    transform: scale(0.6);
    opacity: 0.5;
    -webkit-animation: moveclouds 25s linear infinite, sideWays 5s ease-in-out infinite alternate;
    -moz-animation: moveclouds 25s linear infinite, sideWays 5s ease-in-out infinite alternate;
    -o-animation: moveclouds 25s linear infinite, sideWays 5s ease-in-out infinite alternate;
}
.x8 {
    left: 250px;
    -webkit-transform: scale(0.8);
    -moz-transform: scale(0.8);
    transform: scale(0.8);
    opacity: 0.3;
    -webkit-animation: moveclouds 20s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -moz-animation: moveclouds 20s linear infinite, sideWays 4s ease-in-out infinite alternate;
    -o-animation: moveclouds 20s linear infinite, sideWays 4s ease-in-out infinite alternate;
}
.x9 {
    left: 570px;
    -webkit-transform: scale(0.75);
    -moz-transform: scale(0.75);
    transform: scale(0.75);
    opacity: 0.35;
    -webkit-animation: moveclouds 18s linear infinite, sideWays 2s ease-in-out infinite alternate;
    -moz-animation: moveclouds 18s linear infinite, sideWays 2s ease-in-out infinite alternate;
    -o-animation: moveclouds 18s linear infinite, sideWays 2s ease-in-out infinite alternate;
}
.x10 {
    left: 650px;
    -webkit-transform: scale(0.8);
    -moz-transform: scale(0.8);
    transform: scale(0.8);
    opacity: 0.3; 
    -webkit-animation: moveclouds 7s linear infinite, sideWays 1s ease-in-out infinite alternate;
    -moz-animation: moveclouds 7s linear infinite, sideWays 1s ease-in-out infinite alternate;
    -o-animation: moveclouds 7s linear infinite, sideWays 1s ease-in-out infinite alternate;
}

@-webkit-keyframes moveclouds { 
    0% { 
        top: 500px;
    }
    100% { 
        top: -500px;
    }
}

@-webkit-keyframes sideWays { 
    0% { 
        margin-left:0px;
    }
    100% { 
        margin-left:50px;
    }
}

@-moz-keyframes moveclouds {     
    0% { 
        top: 500px;
    }

    100% { 
        top: -500px;
    }
}

@-moz-keyframes sideWays {
    0% {
        margin-left:0px;
    }
    100% {
        margin-left:50px;
    }
}
@-o-keyframes moveclouds {
    0% { 
        top: 500px;
    }
    100% { 
        top: -500px;
    }
}

@-o-keyframes sideWays {
    0% {
        margin-left:0px;
    }
    100% {
        margin-left:50px;
    }
}

#navbar .nav-list {
    display: none;
}

/* Desktop view: Show nav-list as a flex container */
@media (min-width: 769px) {
    #navbar .nav-list {
        display: flex !important;
    }
}

/* Responsive layout for smaller screens */
@media (max-width: 768px) {
    .section {
        flex-direction: column;
    }

    .left-side, .right-side, .underWater {
        width: 100% !important;
    }

    .left-side, .right-side {
        text-align:center;
    }

    .right-side {
        height: auto; /* Adjust height as needed for mobile */
    }

    #intro {
        background-size:300px;
        background-position: -150px 440px;
    }

    #intro .content {
        width:80%;
        z-index: 1;
    }

    #navbar a:hover {
        height: 40px;
    }

    /* Responsive styles for mobile */
    .nav-list.active {
        display: flex !important;
        flex-direction: column;
        position: absolute;
        top: 30px;
        right: 0;
        /* background-color: rgba(0, 0, 0, 0.8); */
        background-color:#fff;
        width: 100%;
    }

    .menu-toggle {
        display: flex;
    }

    /* Background layer (behind) */
    .left-background {
        background-size: 250px auto;
        background-position: -40px 250px;
    }

    /* Middle ground layer (in the middle) */
    .left-middle-ground {
        background-size: 250px auto;
        background-position: -40px 250px;
    }

    /* Foreground layer (on top) */
    .left-foreground {
        background-size: 250px auto;
        background-position: -40px 250px;
    }

    /* Background layer (behind) */
    .right-background {
        background-size: 250px auto;
        background-position: 40px 250px;
    }

    /* Middle ground layer (in the middle) */
    .right-middle-ground {
        background-size: 250px auto;
        background-position: 40px 250px;
    }

    /* Foreground layer (on top) */
    .right-foreground {
        background-size: 250px auto;
        background-position: 40px 250px;
    }
}
